#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xf163a8f3, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x5905e6a2, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x4b9c90d1, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x58958c2d, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x7df58872, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0xc2ecab5d, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x5540ca28, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x4ba554ad, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xc320fedc, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x23a65c2f, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x543df093, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x7055e69c, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xc1b710c1, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x86293d68, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xc035dc69, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xd5389145, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x0b528375, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5c18cef5, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfe30f81c, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x919e501d, "pcpu_hot" },
	{ 0x2806acf9, "const_pcpu_hot" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xf2bf35b6, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1382459c, "crypto_ahash_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x1c3bfb3a, "iscsi_prep_data_out_pdu" },
	{ 0xcc43be78, "iscsi_put_task" },
	{ 0xc483829f, "iscsi_conn_failure" },
	{ 0x65150e63, "iscsi_conn_setup" },
	{ 0x7591912b, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xfd82be2d, "crypto_ahash_update" },
	{ 0xfb4e3444, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9936623b, "skb_prepare_seq_read" },
	{ 0xeee61451, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0x294b653c, "skb_abort_seq_read" },
	{ 0x632d3b6b, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8cb1d8d, "iscsi_complete_pdu" },
	{ 0xe94123aa, "iscsi_verify_itt" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xa9fe9264, "iscsi_itt_to_ctask" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x9d3c58ba, "iscsi_get_task" },
	{ 0xccec54a5, "iscsi_update_cmdsn" },
	{ 0x605f06d0, "__iscsi_complete_pdu" },
	{ 0xb1de32ed, "iscsi_requeue_task" },
	{ 0x13749d25, "param_ops_int" },
	{ 0x967ad77c, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0x42e5f715, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
